
// ViewerES.java
// Andrew Davison, March 2007, ad@fivedots.coe.psu.ac.th

/* Display a canvas using JOGL-ES, the Java Bindings for OpenGL ES (JSR 239).
   The canvas displays a floor, and OBJ models are loaded,
   positioned, and scaled using instances of OBJShape.

   The user can navigate around the scene using the navigational
   keys.
*/


import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;


public class ViewerES extends MIDlet implements CommandListener
{
  private Command exitCommand;
  private ViewerGameCanvas canvas;


  public ViewerES()
  {
    exitCommand = new Command("Exit", Command.EXIT, 1);
    canvas = new ViewerGameCanvas();
    canvas.addCommand(exitCommand);
    canvas.setCommandListener(this);
  }  // end of ViewerES()


  public void startApp()
  {  Display.getDisplay(this).setCurrent(canvas);  }


  public void pauseApp() {}


  public void destroyApp(boolean unconditional)
  { canvas.stopRunning();  }    // stop the boxes animation


  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exitCommand) {
      destroyApp(true);
      notifyDestroyed();
    }
  } // end of commandAction()

} // end of ViewerES class
